Bug 473574 - Insufficient build requirement
Insufficient build requirement
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: xqilla (Show other bugs)
9
All Linux
medium Severity low
: ---
: ---
Assigned To: Milan Zázrivec
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-29 08:11 EST by Zenon Panoussis
Modified: 2009-01-23 21:34 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-23 21:34:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Zenon Panoussis 2008-11-29 08:11:15 EST
The spec file says "BuildRequires: xerces-c-devel >= 2.7.0". However, attempting to build on RHEL5 with xerces-c-devel-2.7.0-1 installed, breaks with a long list of errors like these:

./.libs/libxqilla.so: undefined reference to `xercesc_2_8::DOMBuilderImpl::setEntityResolver(xercesc_2_8::DOMEntityResolver*)'
./.libs/libxqilla.so: undefined reference to `non-virtual thunk to xercesc_2_8::AbstractDOMParser::notationDecl(xercesc_2_8::XMLNotationDecl const&, bool)'

Perhaps the build requirement version needs to be bumped up to 2.8.
Comment 1 Fedora Update System 2009-01-07 04:17:22 EST
xqilla-2.0.0-7.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/xqilla-2.0.0-7.fc9
Comment 2 Fedora Update System 2009-01-07 16:50:58 EST
xqilla-2.0.0-7.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update xqilla'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-0303
Comment 3 Fedora Update System 2009-01-23 21:34:53 EST
xqilla-2.0.0-7.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.